For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Updates

Get status updates.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of status updates. (Note: when using ?include maximum is reduced to 25)

Default: 10
servicesinteger · int64[]Optional

service IDs of the status update's affected services

fromstring · date-timeOptional

from date, ISO-UTC e.g. 2021-05-25T21:24:56.771Z, based on reportTime

untilstring · date-timeOptional

until date, ISO-UTC e.g. 2021-05-26T21:24:56.771Z, based on reportTime

Responses
200

The status updates

application/json
idnumberOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
resolvedOnstring · date-timeRead-onlyOptional
subscribedbooleanRead-onlyOptional
get/status-updates
GET /api/status-updates HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The status updates

[
  {
    "id": 1,
    "summary": "text",
    "status": "INVESTIGATING",
    "message": "text",
    "sendNotification": true,
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "affectedServices": [
      {
        "impact": "OPERATIONAL",
        "service": {
          "id": 1,
          "name": "text",
          "alias": "text",
          "status": "OPERATIONAL",
          "description": "text",
          "oneOpenIncidentOnly": true,
          "showUptimeHistory": true,
          "teams": [
            {
              "id": 1,
              "name": "text"
            }
          ],
          "managedBy": {
            "type": "API",
            "source": "text"
          },
          "publicStatus": "OPERATIONAL",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "iconUrl": "text",
          "links": [
            {
              "href": "https://example.com",
              "text": "text"
            }
          ],
          "createdBy": {
            "type": "API",
            "source": "text"
          }
        }
      }
    ],
    "resolvedOn": "2026-01-01T00:00:00.000Z",
    "subscribed": true,
    "affectedTeams": [
      {
        "id": 1,
        "name": "text"
      }
    ]
  }
]

Create a new status update.

post

Note: depending on affected services this will publish notifications to subscribers. Use /publish-info to forecast notifications.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idnumberOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
createdAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

updatedAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

resolvedOnstring · date-timeRead-onlyOptional
Responses
200

The newly created status update

application/json
idnumberOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
createdAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

updatedAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

resolvedOnstring · date-timeRead-onlyOptional
post/status-updates
POST /api/status-updates HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 537

{
  "id": 1,
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "affectedServices": [
    {
      "impact": "OPERATIONAL",
      "service": {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ]
      }
    }
  ]
}
200

The newly created status update

{
  "id": 1,
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "affectedServices": [
    {
      "impact": "OPERATIONAL",
      "service": {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        }
      }
    }
  ],
  "resolvedOn": "2026-01-01T00:00:00.000Z"
}

Forecast the affected subscribers and status pages

post

Forecast the affected subscribers and status pages as well as notifications that would be send out due to a created or updated status update.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idnumberOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
createdAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

updatedAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

resolvedOnstring · date-timeRead-onlyOptional
Responses
200

The forecast for the provided status update

application/json
privateStatusPagesnumberRead-onlyOptional
publicStatusPagesnumberRead-onlyOptional
privateSubscribersnumberRead-onlyOptional
publicSubscribersnumberRead-onlyOptional
post/status-updates/publish-info
POST /api/status-updates/publish-info HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 537

{
  "id": 1,
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "affectedServices": [
    {
      "impact": "OPERATIONAL",
      "service": {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ]
      }
    }
  ]
}
200

The forecast for the provided status update

{
  "statusPagesInfo": {
    "id": 1,
    "label": "text"
  },
  "privateStatusPages": 1,
  "publicStatusPages": 1,
  "privateSubscribers": 1,
  "publicSubscribers": 1
}

Get a specific status update.

get

Note: returns an ETag header that can be send to the PUT /status-updates/{id} resource as If-Match header to return a 412 Error in case any related resources e.g. Services or the status update have been updated in the mean time.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

the id of the status update

Query parameters
Responses
200

The requested status update

application/json
get/status-updates/{id}
GET /api/status-updates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested status update

{
  "id": 1,
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "history": [
    {
      "id": "text",
      "content": "text",
      "creator": {
        "id": 1,
        "firstName": "text",
        "lastName": "text"
      },
      "incidentStatus": "INVESTIGATING",
      "sendNotification": true,
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "affectedServices": [
    {
      "impact": "OPERATIONAL",
      "service": {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        }
      }
    }
  ],
  "resolvedOn": "2026-01-01T00:00:00.000Z",
  "subscribed": true,
  "affectedTeams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}

Update the specific status update.

put

Note: the update will be automatically appended to the status update's history and publish notifications to subscribers.

Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

the id of the status update

Header parameters
If-MatchstringOptional

Should be the ETag response header retrieved from GET /status-updates/{id} to prevent updating the status update based on outdated information. Will return 412 status code in case of conflict.

Body
idnumberOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
createdAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

updatedAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

resolvedOnstring · date-timeRead-onlyOptional
Responses
200

The updated status update

application/json
idnumberOptional
summarystringOptional
statusstring · enumOptional

the status update status

Possible values:
messagestringOptional
sendNotificationbooleanOptional
createdAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

updatedAtstring · date-timeOptional

May be overwritten during the creation of the incident, otherwise read-only

resolvedOnstring · date-timeRead-onlyOptional
put/status-updates/{id}
PUT /api/status-updates/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 537

{
  "id": 1,
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "affectedServices": [
    {
      "impact": "OPERATIONAL",
      "service": {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ]
      }
    }
  ]
}
200

The updated status update

{
  "id": 1,
  "summary": "text",
  "status": "INVESTIGATING",
  "message": "text",
  "sendNotification": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "affectedServices": [
    {
      "impact": "OPERATIONAL",
      "service": {
        "id": 1,
        "name": "text",
        "alias": "text",
        "status": "OPERATIONAL",
        "description": "text",
        "oneOpenIncidentOnly": true,
        "showUptimeHistory": true,
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ],
        "managedBy": {
          "type": "API",
          "source": "text"
        },
        "publicStatus": "OPERATIONAL",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "iconUrl": "text",
        "links": [
          {
            "href": "https://example.com",
            "text": "text"
          }
        ],
        "createdBy": {
          "type": "API",
          "source": "text"
        }
      }
    }
  ],
  "resolvedOn": "2026-01-01T00:00:00.000Z"
}

Get the subscribers (users and teams) of a status update

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

the id of the status update

Responses
200

The subscribers of the status update

application/json
idnumberOptional
namestringOptional
typestring · enumOptionalPossible values:
get/status-updates/{id}/private-subscribers
GET /api/status-updates/{id}/private-subscribers HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The subscribers of the status update

[
  {
    "id": 1,
    "name": "text",
    "type": "USER"
  }
]

Add subscribers (users and teams) to a status update

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

the id of the status update

Bodyobject · TeamUserOption[]
idnumberOptional
namestringOptional
typestring · enumOptionalPossible values:
Responses
204

the response

post/status-updates/{id}/private-subscribers
POST /api/status-updates/{id}/private-subscribers HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 38

[
  {
    "id": 1,
    "name": "text",
    "type": "USER"
  }
]
204

the response

No content

Last updated

Was this helpful?